<mat-card class="half-width">
  <mat-card-header>
    <mat-card-title i18n>Preferences</mat-card-title>
  </mat-card-header>
  <mat-divider></mat-divider>
  <mat-card-content>
    <form
      *ngIf="userDetails$ | async"
      [formGroup]="form"
      (ngSubmit)="onSubmit()"
    >
      <mat-form-field class="full-width first-field" appearance="outline">
        <mat-label>Name</mat-label>
        <input matInput formControlName="name" maxlength="255" />
      </mat-form-field>
      <mat-form-field class="timezone full-width" appearance="outline">
        <mat-label>Time Zone</mat-label>
        <input
          type="text"
          matInput
          formControlName="timeZone"
          [matAutocomplete]="auto"
        />
        <button
          [class.invalid]="formTimeZone.invalid"
          class="small-icon-button"
          mat-icon-button
          matSuffix
          type="button"
          (click)="clearTimeZone()"
        >
          <mat-icon>close</mat-icon>
        </button>
        <mat-autocomplete #auto="matAutocomplete">
          <mat-option
            *ngFor="let timeZone of filteredOptions | async"
            [value]="timeZone"
          >
            {{ timeZone }}
          </mat-option>
        </mat-autocomplete>
        <mat-error>
          <span *ngIf="formTimeZone?.errors?.invalidAutocompleteString" i18n
            >Select a valid time zone</span
          >
        </mat-error>
        <mat-hint>Your system time zone is {{ currentTimeZone }}</mat-hint>
      </mat-form-field>
      <gt-loading-button buttonText="Update Preferences"></gt-loading-button>
    </form>
  </mat-card-content>
</mat-card>
